Package lxml :: Package tests :: Module test_pyclasslookup :: Class PyClassLookupTestCase |
[frames] | no frames]

# Class PyClassLookupTestCase

source code

                   object --+
                            |
            unittest.TestCase --+
                                |
    common_imports.HelperTestCase --+
                                    |
                                   PyClassLookupTestCase

Test cases for the lxml.pyclasslookup class lookup mechanism.

Nested Classes
Inherited from `unittest.TestCase`: `failureException`

Instance Methods
Element(self, _tag, attrib=None, nsmap=None, **_extra) Creates a new element associated with this parser. | source code
tearDown(self) Hook method for deconstructing the test fixture after testing it. | source code
XML(self, xml) | source code
test_lookup(self) | source code
test_lookup_keep_ref_assertion(self) | source code
test_lookup_tag(self) | source code
test_lookup_text(self) | source code
test_lookup_tail(self) | source code
test_lookup_attrib(self) | source code
test_lookup_prefix(self) | source code
test_lookup_sourceline(self) | source code
test_lookup_getitem(self) | source code
test_lookup_getitem_neg(self) | source code
test_lookup_getslice(self) | source code
test_lookup_len(self) | source code
test_lookup_bool(self) | source code
test_lookup_get(self) | source code
test_lookup_get_default(self) | source code
test_lookup_getchildren(self) | source code
test_lookup_iter_children(self) | source code
test_lookup_iterchildren(self) | source code
test_lookup_iterchildren_tag(self) | source code
test_lookup_getparent(self) | source code
test_lookup_getnext(self) | source code
test_lookup_getprevious(self) | source code
Inherited from `common_imports.HelperTestCase`: `parse` Inherited from `unittest.TestCase`: `__call__`, `__init__`, `__repr__`, `__str__`, `assertAlmostEqual`, `assertAlmostEquals`, `assertEqual`, `assertEquals`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertRaises`, `assertTrue`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `setUp`, `shortDescription` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
| etree The `lxml.etree` module implements the extended ElementTree API for XML.
| parser = `etree.XMLParser()`
Inherited from `common_imports.HelperTestCase`: `assertFalse`

Properties
Inherited from `object`: `__class__`

Method Details

### tearDown(self) | source code
Hook method for deconstructing the test fixture after testing it. Overrides: unittest.TestCase.tearDown (inherited documentation)

Class Variable Details

### etree The `lxml.etree` module implements the extended ElementTree API for XML. Value: lxml.etree